Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.io
Class VFS.DirectoryEntry

    java.lang.Object
      org.gjt.sp.jedit.io.VFSFile
          org.gjt.sp.jedit.io.VFS.DirectoryEntry

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  VFS

Deprecated. Use `VFSFile` instead.

    @Deprecated
    public static class VFS.DirectoryEntry

extends VFSFile

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.gjt.sp.jedit.io.VFSFile
`canRead, canWrite, color, colorCalculated, deletePath, DIRECTORY, FILE, FILESYSTEM, hidden, length, name, path, symlinkPath, type`

Constructor Summary
`VFS.DirectoryEntry()` Deprecated.
`VFS.DirectoryEntry(java.lang.String name, java.lang.String path, java.lang.String deletePath, int type, long length, boolean hidden)` Deprecated.

Method Summary

Methods inherited from class org.gjt.sp.jedit.io.VFSFile
`fetchAttrs, fetchedAttrs, findCompletion, findCompletion, getColor, getDefaultIcon, getDefaultIcon, getDeletePath, getExtendedAttribute, getIcon, getIcon, getLength, getName, getPath, getSymlinkPath, getType, getVFS, isBinary, isHidden, isReadable, isWriteable, setDeletePath, setHidden, setLength, setName, setPath, setReadable, setSymlinkPath, setType, setWriteable, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VFS.DirectoryEntry

    public VFS.DirectoryEntry()

  Deprecated.
  Since:
    jEdit 4.2pre2

### VFS.DirectoryEntry

    public VFS.DirectoryEntry(java.lang.String name,
                              java.lang.String path,
                              java.lang.String deletePath,
                              int type,
                              long length,
                              boolean hidden)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD